org.keycloak.models.sessions.infinispan.entities

## Class ActionTokenReducedKey.ExternalizerImpl

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.ActionTokenReducedKey.ExternalizerImpl

- All Implemented Interfaces:
    Serializable, org.infinispan.commons.marshall.Externalizer<ActionTokenReducedKey>
  Enclosing class:
    ActionTokenReducedKey

      public static class ActionTokenReducedKey.ExternalizerImpl
      extends Object
      implements org.infinispan.commons.marshall.Externalizer<ActionTokenReducedKey>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalizerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionTokenReducedKey` | `readObject(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, ActionTokenReducedKey t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalizerImpl

          public ExternalizerImpl()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                                  ActionTokenReducedKey t)
                           throws IOException

      Specified by:
        `writeObject` in interface `org.infinispan.commons.marshall.Externalizer<ActionTokenReducedKey>`
      Throws:
        `IOException`

    - #### readObject

          public ActionTokenReducedKey readObject(ObjectInput input)
                                           throws IOException,
                                                  ClassNotFoundException

      Specified by:
        `readObject` in interface `org.infinispan.commons.marshall.Externalizer<ActionTokenReducedKey>`
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.